Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiFileIOItem Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | SaveObject ([in] BSTR bszFileName,[in] BSTR bszObjName)
HRESULT | LoadObject ([in] BSTR bszFileName,[in] BSTR bszOwnerName,[out, retval] BSTR *pVal)

## Detailed Description

The IRiFileIOItem interface provides basic methods for import/export.
Root-level name in the scripting engine's name space: RsFileIO

## Member Function Documentation

HRESULT IRiFileIOItem::SaveObject | ( | [in] BSTR | bszFileName,
|  | [in] BSTR | bszObjName
| ) |

  | Save object to the file. The whole subgraph will be saved if the object contains subobjects. Parameters:
  bszFileName | - name of the file.
  bszObjName | - Identification of the object in the graph, its full name, empty string indicates the selected object
Use following syntax if you want to save object to the file
     // save object MyCube from Space 3D  to the file myObject.RsObj
     RsFileIO.SaveObject('c:\\myObject.RsObj', 'Project/Space 3D/MyCube')
     // save the selected object to the file mySelectdObject.RsObj
     RsFileIO.SaveObject('c:\\mySelectedObject.RsObj', '')

HRESULT IRiFileIOItem::LoadObject | ( | [in] BSTR | bszFileName,
|  | [in] BSTR | bszOwnerName,
|  | [out, retval] BSTR * | pVal
| ) |

  | Load object from the file and add it to graph including its subgraph. Parameters:
  bszFileName | - name of the file.
  bszObjName | - Identification of the object in the graph, where loaded objects will be added
Returns: pVal - full name identification of loaded object in the graph Use following syntax if you want to load object from the file
     // load object from the file 'myObject.RsObj' and add it to the current scene
     RsFileIO.LoadObject('c:\\myObject.RsObj', Space.CurrentScene())
     // load object from the file 'mySelectedObject.RsObj',add it to space 3D object and store name of loaded object in szLoadedObj variable
     szLoadedObj = RsFileIO.LoadObject('c:\\mySelectedObject.RsObj', 'Project/Space 3D/')